"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextractService = exports.makeTextractService = void 0;
/**
 * @since 1.0.0
 */
const client_textract_1 = require("@aws-sdk/client-textract");
const commons_1 = require("@effect-aws/commons");
const effect_1 = require("effect");
const Errors_js_1 = require("./Errors.js");
const Instance = __importStar(require("./TextractClientInstance.js"));
const TextractServiceConfig = __importStar(require("./TextractServiceConfig.js"));
const commands = {
    AnalyzeDocumentCommand: client_textract_1.AnalyzeDocumentCommand,
    AnalyzeExpenseCommand: client_textract_1.AnalyzeExpenseCommand,
    AnalyzeIDCommand: client_textract_1.AnalyzeIDCommand,
    CreateAdapterCommand: client_textract_1.CreateAdapterCommand,
    CreateAdapterVersionCommand: client_textract_1.CreateAdapterVersionCommand,
    DeleteAdapterCommand: client_textract_1.DeleteAdapterCommand,
    DeleteAdapterVersionCommand: client_textract_1.DeleteAdapterVersionCommand,
    DetectDocumentTextCommand: client_textract_1.DetectDocumentTextCommand,
    GetAdapterCommand: client_textract_1.GetAdapterCommand,
    GetAdapterVersionCommand: client_textract_1.GetAdapterVersionCommand,
    GetDocumentAnalysisCommand: client_textract_1.GetDocumentAnalysisCommand,
    GetDocumentTextDetectionCommand: client_textract_1.GetDocumentTextDetectionCommand,
    GetExpenseAnalysisCommand: client_textract_1.GetExpenseAnalysisCommand,
    GetLendingAnalysisCommand: client_textract_1.GetLendingAnalysisCommand,
    GetLendingAnalysisSummaryCommand: client_textract_1.GetLendingAnalysisSummaryCommand,
    ListAdapterVersionsCommand: client_textract_1.ListAdapterVersionsCommand,
    ListAdaptersCommand: client_textract_1.ListAdaptersCommand,
    ListTagsForResourceCommand: client_textract_1.ListTagsForResourceCommand,
    StartDocumentAnalysisCommand: client_textract_1.StartDocumentAnalysisCommand,
    StartDocumentTextDetectionCommand: client_textract_1.StartDocumentTextDetectionCommand,
    StartExpenseAnalysisCommand: client_textract_1.StartExpenseAnalysisCommand,
    StartLendingAnalysisCommand: client_textract_1.StartLendingAnalysisCommand,
    TagResourceCommand: client_textract_1.TagResourceCommand,
    UntagResourceCommand: client_textract_1.UntagResourceCommand,
    UpdateAdapterCommand: client_textract_1.UpdateAdapterCommand,
};
/**
 * @since 1.0.0
 * @category constructors
 */
exports.makeTextractService = effect_1.Effect.gen(function* () {
    const client = yield* Instance.TextractClientInstance;
    return commons_1.Service.fromClientAndCommands(client, commands, {
        errorTags: Errors_js_1.AllServiceErrors,
        resolveClientConfig: TextractServiceConfig.toTextractClientConfig,
    });
});
/**
 * @since 1.0.0
 * @category models
 */
class TextractService extends effect_1.Effect.Tag("@effect-aws/client-textract/TextractService")() {
    static defaultLayer = effect_1.Layer.effect(this, exports.makeTextractService).pipe(effect_1.Layer.provide(Instance.layer));
    static layer = (config) => effect_1.Layer.effect(this, exports.makeTextractService).pipe(effect_1.Layer.provide(Instance.layer), effect_1.Layer.provide(TextractServiceConfig.setTextractServiceConfig(config)));
    static baseLayer = (evaluate) => effect_1.Layer.effect(this, exports.makeTextractService).pipe(effect_1.Layer.provide(effect_1.Layer.effect(Instance.TextractClientInstance, effect_1.Effect.map(TextractServiceConfig.toTextractClientConfig, evaluate))));
}
exports.TextractService = TextractService;
//# sourceMappingURL=TextractService.js.map