/**
 * @since 1.0.0
 */
import type { TextractClientConfig } from "@aws-sdk/client-textract";
import { Effect, Layer } from "effect";
import type { TextractService } from "./TextractService.js";
/**
 * @since 1.0.0
 * @category textract service config
 */
export declare const withTextractServiceConfig: {
    (config: TextractService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: TextractService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category textract service config
 */
export declare const setTextractServiceConfig: (config: TextractService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toTextractClientConfig: Effect.Effect<TextractClientConfig>;
//# sourceMappingURL=TextractServiceConfig.d.ts.map