"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTextractClientConfig = exports.setTextractServiceConfig = exports.withTextractServiceConfig = void 0;
const commons_1 = require("@effect-aws/commons");
const effect_1 = require("effect");
const Function_1 = require("effect/Function");
const GlobalValue_1 = require("effect/GlobalValue");
/**
 * @since 1.0.0
 * @category textract service config
 */
const currentTextractServiceConfig = (0, GlobalValue_1.globalValue)("@effect-aws/client-textract/currentTextractServiceConfig", () => effect_1.FiberRef.unsafeMake({}));
/**
 * @since 1.0.0
 * @category textract service config
 */
exports.withTextractServiceConfig = (0, Function_1.dual)(2, (effect, config) => effect_1.Effect.locally(effect, currentTextractServiceConfig, config));
/**
 * @since 1.0.0
 * @category textract service config
 */
const setTextractServiceConfig = (config) => effect_1.Layer.locallyScoped(currentTextractServiceConfig, config);
exports.setTextractServiceConfig = setTextractServiceConfig;
/**
 * @since 1.0.0
 * @category adapters
 */
exports.toTextractClientConfig = effect_1.Effect.gen(function* () {
    const { logger: serviceLogger, ...config } = yield* effect_1.FiberRef.get(currentTextractServiceConfig);
    const logger = serviceLogger === true
        ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.defaultServiceLogger)
        : (serviceLogger ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.make(serviceLogger)) : undefined);
    return { logger, ...config };
});
//# sourceMappingURL=TextractServiceConfig.js.map